<?php
$techup_enable_blog_section = get_theme_mod( 'techup_enable_blog_section', true );
$techup_blog_cat 		= get_theme_mod( 'techup_blog_cat', 'uncategorized' );
if($techup_enable_blog_section == true) 
{
	$techup_blog_title 	= get_theme_mod( 'techup_blog_title', esc_html__( 'Our News & Blogs','creative-techup'));
	$techup_blog_subtitle 	= get_theme_mod( 'techup_blog_subtitle', esc_html__( 'Latest News','creative-techup') );
	$techup_rm_button_label 	= get_theme_mod( 'techup_rm_button_label', esc_html__( 'Read More','creative-techup'));
	$techup_blog_count 	 = apply_filters( 'techup_blog_count', 3 );
?>
 		  <!-- blog start-->
      <section class="blog-sec creative-blog">
        <div class="container">
          <div class="section-title text-center">
            <div class="row">
              <div class="col-md-8 col-md-offset-2 m-auto pb-20">
				 <?php if($techup_blog_title) : ?>
					<h2 class="text-uppercase title"><?php echo esc_html( $techup_blog_title ); ?></h2>
					<div class="section-sep"></div>
				<?php endif; ?>	
				 <?php if($techup_blog_subtitle) : ?>	
					<p><?php echo esc_html( $techup_blog_subtitle ); ?></p>
				<?php endif; ?>	
			  </div>
            </div>
          </div>
            <div class="row">
				<?php 
				if( !empty( $techup_blog_cat ) ) 
					{
					$blog_args = array(
						'post_type' 	 => 'post',
						'category_name'	 => esc_attr( $techup_blog_cat ),
						'posts_per_page' => absint( $techup_blog_count ),
					);

					$blog_query = new WP_Query( $blog_args );
					if( $blog_query->have_posts() ) 
					{
						while( $blog_query->have_posts() ) 
						{
							$blog_query->the_post();
							?>
				
				  <div class="col-lg-4 col-md-6 col-sm-12 wow fadeInUp" data-wow-delay="0.3s">
					<article class="blog-item">
					  <div class="post-img">
						<?php the_post_thumbnail(); ?>
					  </div>
					  <div class="post-body ">
						<div class="post-meta-list">
						  <span class="meta-admin">
							<i class="fa fa-user"></i><span class="admin-text"><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo esc_html(get_the_author_meta('display_name'));?></a></span>
						  </span>
						  <span class="meta-date">
							<i class="fa fa-calendar"></i><span class="meta-date-text"><?php echo esc_html(get_the_date()); ?></span>
						  </span>
						  <span class="post-cat">                                                            
							<i class="fa fa-folder-open"></i>
							<?php
							// everything available
							foreach((get_the_category()) as $category) { ?>
								<a href="<?php echo esc_url(get_category_link($category->cat_ID));?>" rel="category tag"><?php echo esc_html($category->cat_name . ' ');?></a>	 
							<?php } 
							?>
						  </span>
						</div>            
						  <h2 class="entry-title">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
						  </h2>
					  </div>
					</article>
				  </div>
               <?php
						}
					}
					wp_reset_postdata();
				} ?>     
                 
                </div>
              </div>
            </div>
          </section>
        <!-- blog end-->

<?php } ?>