<?php 
$techup_enable_service_section = get_theme_mod( 'techup_enable_service_section', false );
$techup_service_title = get_theme_mod( 'techup_service_title');
$techup_service_subtitle = get_theme_mod( 'techup_service_subtitle' );
if($techup_enable_service_section==true ) {


        $techup_services_no        = 6;
        $techup_services_pages      = array();
        for( $i = 1; $i <= $techup_services_no; $i++ ) {
             $techup_services_pages[] = get_theme_mod('techup_service_page '.$i); 
             $techup_service_icon[]= get_theme_mod('techup_service_icon '.$i,'fa fa-user');
        }
        $techup_services_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $techup_services_pages ),
        'posts_per_page' => absint($techup_services_no),
        'orderby' => 'post__in'
        ); 
        $techup_services_query = new WP_Query( $techup_services_args );
      

?> 
	<!-- ======= Services Section ======= -->
    
    <section class="service-section creative-service">
      <div class="container">
        <div class="section-title text-center">
          <div class="row">
            <div class="col-md-8 col-md-offset-2 m-auto pb-20 wow fadeInUp">
				<?php if($techup_service_title) : ?>	
				  <h2 class="title text-uppercase"><?php echo esc_html($techup_service_title); ?></span></h2>
				  <div class="section-sep"></div>
				<?php endif; ?>	
				  <?php if($techup_service_subtitle) : ?>	
					<p><?php echo esc_html($techup_service_subtitle); ?></p>
				<?php endif; ?>		
			</div>
          </div>
        </div>
        <div class="section-content">
          <div class="row">
			<?php
			$count = 0;
			while($techup_services_query->have_posts() && $count <= 8 ) :
			$techup_services_query->the_post();
			?>
				<div class="col-lg-4 col-md-6 col-sm-12 wow fadeInUp" data-wow-delay="0.1s">
				  <div class="icon-box left media p-0 mb-30"> 
					<a class="media-left" href="<?php the_permalink(); ?>">
					  <i class="fa <?php echo esc_attr($techup_service_icon[$count]); ?> text-color"></i>
					</a>
					<div class="service-content">
					  <a href="<?php the_permalink(); ?>"><h4 class="service-content-heading"><?php the_title(); ?></h4></a>
					  <p><?php echo esc_html(get_the_excerpt()); ?></p>
					</div>
				  </div>
				</div>
           <?php
			$count = $count + 1;
			endwhile;
			wp_reset_postdata();
			?>
          </div>
        </div>
      </div>
    </section>

    <!-- End Services Section -->
	
<?php } ?>